Список изменений проекта Qt-based Multimedia Player
--------------

Версия 2.3.3
* исправлена сборка с PipeWire версии ниже чем 0.3.50
* исправлена форма диалога настроек
* исправлена кодировка CUE по умолчанию
* исправлено возможное разыменование нулевого указателя
* исправлен порядок треков при добавлении с помощью drag and drop
* устранено использование неинициализированной структуры
* улучшен модуль sid:
  - добавлена поддержка libsidplayfp 3.0
  - добавлена возможность сборки без эмулятора residfp
  - исправлена утечка памяти
  - исправлена отображаемая аудио-информация
* обновлён японский перевод (coolvitto)

Версия 2.3.2
* исправлен путь к предустановкам в модуле projectm
* исправлено определение файлов FLAC с ID3v2-тегами
* исправлена поддержка DSD в модуле ffmpeg
* исправлено несколько проблем, связанных с поддержкой CUE
* исправлено возможное аварийное завершение
* исправлены предупреждения при сборке
* исправлен модуль горячих клавиш
* улучшен модуль pipewire:
  - исправлено вычисление задержки
  - увеличен размер буфера
* обновлён немецкий перевод (Panagiotis Papadopoulos)

Версия 2.3.1
* добавлена поддержка IMA ADPCM
* исправлена группировка по именя родительского каталога
* исправлена сортировка по пути и имени файла
* исправлено определение файлов PCM WAVE с chunk’ами "JUNK",
  "bext" и "fact"
* исправлены проблемы при смене цветовой схемы
* исправлены проблемы отрисовки в списке модулей
* обновлён китайский упрощённый перевод (Rain Ding)

Версия 2.3.0
* добавлена общая реализация БПФ для модулей визуализации
* улучшен режим группировки:
  - задействован отдельный внутренний заголовок для группировки треков
  - автоматическое обновление названия группы при получении метаданных
  - добавлена возможности вывода общей длительности группы в главном
    заголовке
* улучшен простой интерфейс пользователя:
  - добавлена плавная прокрутка
  - добавлены горячие клавиши для быстрой перемотки на 10/30/60 секунд
  - добавлено редактирование строки состояния
  - добавлено больше информации в строке состояния
  - улучшено меню "Вид"
* улучшена интерфейс с поддержкой обложек:
  - добавлена плавная прокрутка
  - добавлены горячие клавиши для быстрой перемотки на 10/30/60 секунд
  - добавлена возможность изменить путь для установки обложек
  - добавлена возможность выбора случайной обложки при каждом запуске
* улучшен модуль mpeg:
  - задействован декодер MPG123 по умолчанию
  - добавлена возможность определения кодировки id3v1-тегов по локали
    системы
* добавлен сброс названия потока при остановке воспроизведения
* добавлена поддержка id3v2-тегов в модуле sndfile
* устранена неоднозначность в названии некоторых горячих клавиш
* добавлена поддержка pkg-config в модуле wildmidi
* добавлен всплывающий виджет для выбора даты в модуле журнала
* модуль горячих клавиш переименован в "Модуль клавиш X11" под Linux/FreeBSD 
* задействован QCache для обложек
* задействован QDialogButtonBox везде, где это возможно
* задействованы переносимые названия горячих клавиш в файле конфигурации
* улучшена поддержка CMake
* улучшена поддержка Windows:
  - включён вывод WASAPI по умолчанию
  - задействована система сборка CMake
  - добавлена приложение qmmp-cli.exe с поддержкой командной строки
* переименована кнопка "Ok" в "Закрыть" в модуле ladspa
* удалена поддержка WildMidi 0.3.x
* удалены модули mplayer и mms (перемещены в qmmp-plugin-pack)
* исправлено форматирование вывода командной строки
* исправлено отображение числа бит в модуле ffmpeg
* исправлена кодировка сообщений для межпроцессного взаимодействия
* исправлены проблемы с опциями командной строки "--pl-help" и 
  "--nowplaying-syntax"
* исправлена последовательность аудио-каналов для формата WMA
* исправлено получение текстов песен
* обновлён голландский перевод (Heimen Stoffels)
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён корейский перевод (Jung Hee Lee)
* обновлён польский перевод (Marek Adamski)
* обновлён русский перевод (Андрей Степанов)
* обновлён китайский традиционный перевод (Edouard.J.K Li)

Версия 2.2.8
* добавлена поддержка AIFF-C
* добавлена поддержка libsidplayfp 2.15
* задействована частота дискретизации 48 кГц по умолчанию в модуле sid
* задействован протокол https в модуле просмотра потоков
* обновлён испанский перевод (mad-soft)

Версия 2.2.7
* добавлены правила KWin для KDE6
* добавлено отображение громкости при регулировке с помощью колеса мыши
  в интерфейсе пользователя с поддержкой обложек 
* исправлена поддержка многострочных комментариев при сохранении и
  восстановлении списка воспроизведения
* исправлен шаг регулировки громкости при использовании колеса мыши
* исправлены некоторые предупреждения анализатора clazy
* исправлены частоты всех анализаторов спектра
* исправлена обработка ошибок открытия файлов

Версия 2.2.6
* задействованы системные настройки для прокрутки списков воспроизведения
* задействован фиксированный порядок ключей в файле playlists.txt
* добавлена поддержка формата PCM FLOAT для модулей dsound и wasapi
* исправлен быстрый переход по треку из командной строки
* исправлена поддержка специальных клавиш в редакторе горячих клавиш 
* исправлено вычисление номера трека
* исправлено сохранение настроек простого интерфейса пользователя при
  включенной визуализации projectM
* исправлено аварийное завершение в модуле библиотеки
* исправлен китайский традиционный перевод (Edouard.J.K Li)

Версия 2.2.5
* исправлена сборка без mpg123 или libmad
* исправлен путь к модулям в файле pkg-config
* исправлено предупреждение "device not open" при первом запуске
* исправлена установка обложек
* исправлено размещение элементов в диалоге настроек

Версия 2.2.4
* добавлена поддержка встроенных обложек в модуле mpris
* добавлено расширение .ogg для большего числа модулей
* исправлена сборка с ProjectM 4.0 или выше
* исправлена сборка с Qt 6.9
* исправлена сборка с TagLib 2.0
* исправлено предупреждение cmake
* исправлено обновление списка фильтров
* исправлен URL у прокси
* задействован регистронезависимый поиск тегов ReplayGain в модуле
  ffmpeg (благодарности: anjanms)
* обновлён китайский традиционный перевод (Edouard.J.K Li)
* обновлён французский перевод (Nicolas PARLANT)

Версия 2.2.3
* добавлена простая проверка конфигурации WildMidi
* добавлен значок для действия "Повторять трек"
* обновлены метаданные AppStream
* исправлена сборка без поддержки X11
* исправлено уведомление о смене громкости
* исправлена поддержка dts/ac3 в модуле ffmpeg
* исправлено игнорирование файла с данными для CUE, если тот содержит
  также встроенный CUE
* обновлён корейский перевод (Jung Hee Lee)

Версия 2.2.2
* добавлена поддержка сигнала SIGTERM
* добавлена дополнительная информация в диалоге "О программе..."
* улучшена распаковка обложек
* улучшена поддержка Windows:
  - задействован архиватор 7-Zip для распаковки обложек
  - поддержка упакованных обложек в формате tar.gz и tar.bz2
  - поддержка 64-битной сборки
  - реализация функции "приглушить" в модулях вывода wasapi и directsoud
* исправлена обработка двойного щелчка мыши у просмотрщика файлов в
  простом интерфейса пользователя
* исправлено аварийное завершение в двухпанельном файловом диалоге
* исправлен запуск воспроизведения из файлового диалога
  (благодарности: cybersnow_2001)
* обновлён голландский перевод (Heimen Stoffels)
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён польский перевод (Marek Adamski)
* обновлён русский перевод

Версия 2.2.1
* исправлена сборка
* исправлена совместимость с Qt 6.2
* исправлена опция "Поверх всех окон" под KDE/KWin в интерфейсе с
  поддержкой обложек
* исправлен простой интерфейс пользователя:
  - включены плавающие панели под Wayland
  - отключена опция "Поверх всех окон" под Wayland
* обновлён итальянский перевод (Luigi Toscano)

Версия 2.2.0
* добавлена возможность остановки воспроизведения после удаления текущего
  трека
* переработан контейнер списка воспроизведения
* переработан парсер командной строки
* улучшена кодовая база
* перенос дублирующегося кода в библиотеку libqmmpui
* улучшен простой интерфейс пользователя:
  - добавлена возможность изменения высоты группы
  - добавлена возможность отображения обложки в группе
  - добавлено отображение дополнительной информации в группе
  - добавлена возможность копирования треков между списками
  - добавлен древовидный режим для просмотра файлов
  - добавлена возможность замены выбранного списка из просмотрщика файлов
  - добавлено управление балансом
  - разрешено переопределение цветов текущей группы и трека при
    использовании системной палитры
  - переименовано действие "Показывать заголовки" в
    "Заблокировать плавающие панели"
* улучшен интерфейс с поддержкой обложек:
  - добавлена возможность изменения высоты группы
  - добавлена возможность отображения обложки в группе
  - добавлено отображение дополнительной информации в группе
  - улучшены настройки цветов и шрифтов
  - исправлен путь для установки обложек
* улучшен модуль xmp:
  - добавлена опция "Эмуляция ошибки зацикливания сэмпла"
  - добавлена опция "Использовать микшер Paula в модулях Amiga"
* добавлена возможность замены выбранного списка в модуле библиотеки
* добавлена установка размера буфера в мс в модуле http
* добавлена настройка размера буфера в модуле WASAPI
* добавлена опция командной строки "--debug"
* добавлена возможность сборки модуля cdaudio без библиотеки libcddb
* отключён вывод отладочной информации по умолчанию
* исправлено определение типа файла по содержимому
* исправлено игнорирование файла с данными для больших CUE-файлов
* исправлена сборка под FreeBSD
* обновлён голландский перевод (Heimen Stoffels)
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён польский перевод (Marek Adamski)
* обновлён русский перевод (Андрей Степанов)

Версия 2.1.9
* исправлена сборка с PipeWire, версия которого ниже 0.3.33 (Thomas Lange)
* исправлена отображаемая битовая частота в модуле wavpack
* отключены предупреждения сборки для Qt 6.7
* отключена полоса прокрутки с формой волны для CD-треков в простом
  интерфейсе пользователя
  
Версия 2.1.8
* улучшен парсер CUE
* исправлены сгенерированные файлы pkg-config при использовании qmake
* исправлена утечка памяти
* исправлена проблема с отсутствием точек монтирования в файловом
  диалоге qmmp
* устранён нештатный старт отключенного модуля после изменения его
  настроек
* исправлена линковка с xcb
* исправлено аварийное завершение программы при попытке удалить трек,
  который находится в очереди
* исправлено копирование выбранных треков в новый список воспроизведения
* исправлена совместимость с Wayland при первом запуске

Версия 2.1.7
* задействован XWayland для интерфейса с поддержкой обложек
* добавлен вывод с плавающей точкой в модуле sndfile
* исправлено определение типа файла по содержимому в модуле sndfile
* исправлена утечка памяти в модуле горячих клавиш
* исправлена частота дискретизации потока в модуле pipewire
* исправлена проблема с файловым диалогом из KDE6 (Jonas Kvinge)

Версия 2.1.6
* добавлена поддержка TagLib 2.0
* исправлено расположение настроек в простом интерфейсе пользователя
* улучшен модуль показа текстов:
  - исправлена проблема с форматированием URL
  - обновлены источники текстов песен
  - задействована кодировка UTF-8 для всех источников
* обновлён испанский перевод (Darwin Toledo)

Версия 2.1.5
* добавлена оптимизация перемотки в виде формы волны (Linearithmik)
* исправлена инициализация визуализации в простом интерфейсе пользователя
* исправлены проблемы с геометрией списка воспроизведения в простом
  интерфейсе пользователя
* исправлены настройки списка в интерфейсе с поддержкой обложек
* исправлено возможное аварийное завершение
* исправлена версия http
* исправлено определение типа файла по содержимому в полосе прокрутки с 
  формой волны

Версия 2.1.4
* добавлена поддержка projectM 4.0 (экспериментальная)
* автоматическая пересборка кэша обложки при его отсутствии
* исправлено выполнение команды под Windows в модуле файловых операций
* исправлено удаление текущего проигрываемого файла в модуле файловых
  операций
* исправлено аварийное завершение в модуле просмотра текста песен при
  работе с потоками
* исправлены проблемы с вкладками в простом интерфейсе пользователя
* исправлены проблемы с окнами визуализации при старте приложения

Версия 2.1.3
* исправлена поддержка последнего API библиотеки cURL
* исправлено аварийное завершение в модуле ladspa (Linearithmik)
* исправлена утечка памяти в модуле wavpack
* исправлена настройка локализации интерфейса под Windows
* исправлено определение заголовка ADTS в модуле aac
* исправлена обработка ошибок в модуле ffmpeg
* исправлены размер и расположение названия трека в интерфейсе с
  поддержкой обложек
* автоскрытие пустых категорий модулей
* добавлен частичный шведский перевод (Luna Jernberg)

Версия 2.1.2
* добавлена поддержка FFmpeg 5.1
* добавлен рекурсивный поиск предустановок в модуле projectm
* добавлен значок приложения в модуле pulseaudio
* улучшена синхронизация визуализации
* исправлено форматирования названия в модуле уведомлений KDE
* исправлена поддержка секций "fact" в модуле sndfile
* исправлена поддержка встроенных обложек в модуле flac
* исправлен интерфейс редактора тегов
* исправлен русский перевод
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён испанский перевод (Joel Barrios)

Версия 2.1.1
* исправлена опция выбора обложки
* исправлена документация API
* исправлена сборка модуля udisks
* исправлена поддержка Windows 10
* исправлен переносимый режим под Windows
* исправлена сборка с Qt 6.4
* исправлены метаданные AppStream (Matthias Mailänder)
* удалён модуль hal
* обновлён голландский перевод (Heimen Stoffels)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён корейский перевод (Jung Hee Lee)
* обновлён польский перевод (Marek Adamski)
* обновлён португальский перевод (Sérgio Marques)
* обновлён русский перевод
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён итальянский перевод (Luigi Toscano)

Версия 2.1.0
* добавлено извлечение текста песен из тегов (id3v2-теги и Xiph Comment)
* добавлено отображение очереди в диалоге быстрого перехода
* добавлена возможность пропуска уже имеющихся в плейлисте треков
* добавлена уведомление о смене громкости в модуле уведомлений KDE
* добавлена поддержка спецификации XDG Base Directory
* заменён модуль modplug на xmp
* улучшен модуль qsui:
  - добавлена возможность скрыть фильтр имени списка воспроизведения
  - добавлена возможность скрыть панель меню
  - добавлено меню приложения
  - включена кнопка очистки для некоторых фильтров поиска
  - улучшено контекстное меню браузера файловой системы
* улучшен модуль истории:
  - добавлена возможность удаления треков
  - добавлено отображение информации о треке
* улучшен диалог "о программе..."
* улучшена конфигурация фильтров по имени файла в модуле ffmpeg
* увеличена минимальная версия Qt до 5.5
* оптимизация поиска дублирующихся треков
* оптимизация очереди треков
* устранён конфликт между версиями 1.x и 2.x
* обновлён голландский перевод (Heimen Stoffels)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён польский перевод (Marek Adamski)
* обновлён португальский перевод (Sérgio Marques)
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён русский перевод (Андрей Степанов)
* обновлён корейский перевод (Jung Hee Lee)
* обновлён испанский перевод (Joel Barrios)

Версия 2.0.4
* исправлен порядок треков, перенесённых с помощью drag-and-drop
* исправлена проблема с пустым MIME-типом
* отключение полосы прокрутки с формой волны для треков с неизвестной
  длительностью
* исправлен модуль панели задач
* обновлён украинский перевод (Геннадий Моцьо)

Версия 2.0.3
* исправлены проблемы сборки
* исправлена загрузка транспортных модулей
* исправлена отрисовка ползунка регулировки громкости при двойном размере
* исправлена поддержка символических ссылок
* исправлены некоторые проблемы в двухпанельном файловом диалоге
* удалена поддержка уведомлений KDE4
* обновлён турецкий перевод (abcmen)

Версия 2.0.2
* исправлена сборка вне каталога с исходным кодом

Версия 2.0.1
* исправлены настройки по умолчанию модуля ffmpeg
* исправлены предупреждения при сборке
* исправлен переход между http-треками
* улучшен модуль qsui:
  - исправлено переименование панелей инструментов
  - исправлена поддержка Wayland
  - исправлено контекстное меню панели вкладок
* включена поддержка QtMultimedia под Qt 6.2 и выше
* удалено использование внутреннего API для Qt 6.2 и выше
* обновлён финский перевод (Kimmo Kujansuu, Jiri Grönroos)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён итальянский перевод (Luigi Toscano)

Версия 2.0.0
* переход на Qt6
* оптимизирован запуск приложения
* добавлен корейский перевод (Jung Hee Lee)
* включена по умолчанию поддержка контейнера Matroska в модуле ffmpeg
* задействована библиотека libiconv для преобразования
  кодировок текста
* удалена поддержка mp3lyrics.org (сервис прекратил существование)
* улучшен модуль qsui:
  - добавлена оптимизация полосы прокрутки с формой волны (Linearithmik)
  - исправлена генерация формы волны для 16-битных данных (Linearithmik)
* исправлена очистка кэша модулей
* исправлена сборка без mpg123
* исправлена регрессия в модуле ladspa (Linearithmik)
* отключены неподдерживаемые модули: taskbar, qtmultimedia

Версия 1.5.0
* добавлен модуль музыкальной библиотеки (экспериментальный)
* добавлен модуль вывода PipeWire (экспериментальный)
* добавлен встроенный редактор CUE
* добавлена поддержка m4b в модуле ffmpeg
* добавлена опция для включения проверки контрольной суммы в модуле mpeg
* добавлено определение кодировки тегов ID3v1/ID3v2 с помощью библиотеки
  librcd в модуле mpeg
* добавлена поддержка обложек в формате WebP
* добавлена перестройка групп после обновления списка воспроизведения
* добавлена оптимизация форматирования названий
* добавлена функция "%dir()" в список полей для форматирования названий
* добавлена возможность интеграции элементов из модулей в главное окно
  программы
* добавлен запуск внешних команд в модуле файловых операций
* улучшена синхронизация визуализации
* улучшен модуль показа текстов песен:
  - добавлен режим интеграции в главное окно программы;
  - отображение текста текущего трека (только в режиме интеграции);
  - изменён внешний вид
* улучшен модуль qsui:
  - добавлена интеграция дополнительных элементов интерфейса из модулей
  - добавлена настройка расположения списка вкладок
  - добавлены значки для меню файловой системы
  - добавлена возможность расположенить элементы интерфейса в несколько рядов
  - упрощение меню "Инструменты"
* улучшен интерфейс с поддержкой обложек:
  - добавлена настройка цветов списка воспроизведения
  - перенос опции "Показывать списки" в подменю "Список"
  - перенос опций "Группировать треки" и "Показать вкладки" в подменю "Список"
* удалено использование некоторых устаревших API
* удалён устаревший код
* повышена минимальная версия FFmpeg до 3.4
* обновлён португальский перевод (Sérgio Marques)
* обновлён голландский перевод (Heimen Stoffels)
* обновлён польский перевод (mrerexx)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён испанский перевод (Joel Barrios)
* обновлён русский перевод (Илья Котов)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён французский перевод (Adrien Vigneron)
* обновлён индонезийский перевод (Andika Triwidada)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён финский перевод (Jiri Grönroos, Kimmo Kujansuu)

Версия 1.4.6
* добавлена оптимизация запуска приложения
* добавлена проверка сессии X11 в модуле уведомлений
* исправлен парсинг настроек провайдера в модуле показа текстов песен
* исправлен интерфейс эквалайзера в модуле qsui
* исправлена сборка с последней версией ffmpeg
* обновлён португальский перевод (Sérgio Marques)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён французский перевод (Adrien Vigneron)

Версия 1.4.5
* добавлена поддержка TagLib 1.12
* отключена проверка CRC в модуле mpeg
* исправлено обновление списка воспроизведения
* исправлена сборка с помощью gcc 11
* исправлена документация по API
* исправлен путь для поиска обложек
* исправлены значки приложения

Версия 1.4.4
* исправлено аварийное завершение при смене аудио-параметров
* исправлена утечка памяти
* удалена поддержка lyrics.wikia.com (сервис прекратил существование)
* задействован текстовый формат для подсказки в области уведомлений KDE
* обновлён голландский перевод (Heimen Stoffels)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён испанский перевод (Joel Barrios)
* обновлён болгарский перевод (Miroslav Mihov)

Версия 1.4.3
* исправлено аварийное завершение при перезапуске общих модулей
* исправлен дитеринг
* устранена утечка памяти
* исправлена проверка игнорируемых файлов
* исправлена поддержка cue-треков в преобразователе форматов
* исправлена проблема с пустым номером диска в модуле mpeg
* исправлено возможное зависание при продолжении воспроизведения
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён болгарский перевод (Miroslav Mihov)

Версия 1.4.2
* исправлено обновление списка воспроизведения
* исправлена утечка памяти
* исправлена поддержка kwin
* исправлена поддержка заголовков xing в модуле mpeg
* обновлён греческий перевод (Dimitrios Glentadakis)

Версия 1.4.1
* исправлена сборка под NetBSD
* исправлена задержка при вызове диалога быстрого перехода
* исправлено отключение форматов в модуле ffmpeg
* исправлено определение некоторых потоков в модуле mpeg
* устранена потеря настроек эквалайзера
* исправлен вывод кодека и битовой частоты для потоков IceCast
* исправлено определение старта воспроизведения в модуле mpris
* обновлён русский перевод
* обновлён голландский перевод (Heimen Stoffels)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён польский перевод (mrerexx)
* обновлён португальский перевод (Sérgio Marques)
* обновлён испанский перевод (Joel Barrios)
* обновлён турецкий перевод (abcmen)

Версия 1.4.0
* добавлен модуль блокировки режима сна
* добавлен отдельный модуль для отправки информации на ListenBrainz
* добавлена автоскрытие пустых сервисных меню
* добавлена возможность отключения двойного прохода эквалайзера
* добавлена опция быстрого отключения звука для большинства модулей вывода
* добавлена единая реализация парсера CUE
* добавлена возможность перехода между списками воспроизведения
* добавлены оптимизации для модуля flac
* добавлен выбор формата списка треков перед сохранением
* добавлены опции командной строки "--pl-next" и "--pl-prev"
* добавлена поддержка прокси SOCKS5
* добавлена возможность вывода среднего битрейта
* добавлено отображение среднего битрейта для потоков shoutcast/icecast
* добавлена поддержка Ogg Opus в сканере ReplayGain
* добавлена возможность объединения различных тегов в модуле mpeg
* добавлена возможность запуска команды при запуске и завершении программы
* добавлена сборка документации командой "make docs"
* добавлена поддержка форматов big endian в модуле PulseAudio
* добавлена запись в один файл в модуле записи
* улучшен модуль qsui:
  - добавлена возможность изменения цвета фона текущего трека
  - добавлена визуализация в виде осциллографа
  - добавлен сброс цветов визуализации
  - добавлена полоса прокрутки с формой волны
  - добавлен альтернативный вид анализатора
  - задействованы градиенты в переходах между цветами анализатора
  - улучшена строка состояния
* улучшен модуль ffmpeg:
  - исправлена проблема с выводом битрейта для opus
  - добавлена новая реализация функции чтения
  - добавлена поддержка встроенного CUE (для формата Monkey's Audio)
  - добавлено отображение названия формата
  - добавлена поддержка DSD (Direct Stream Digital)
  - увеличена минимальная версия FFmpeg до 3.2
  - удалена поддержка libav
* улучшен модуль показа текстов песен:
  - добавлено сохранение геометрии окна
  - добавлена поддержка нескольких провайдеров (на основе Ultimare Lyrics plugin)
* улучшен модуль cdaudio:
  - вывод большего количества метаданных
  - добавлена интеграция с KDE Solid
* улучшена поддержка удалённых плейлистов
* улучшено поддержка m3u
* задействован интерфейс qsui по умолчанию при использовании Wayland
* исправлена документация по API
* обновлён португальский перевод (Sérgio Marques)
* обновлён голландский перевод (Heimen Stoffels)
* обновлён польский перевод (mrerexx)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён испанский перевод (Joel Barrios)
* обновлён русский перевод (Алексей Логинов)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён французский перевод (Adrien Vigneron)
* обновлён индонезийский перевод (Andika Triwidada)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён немецкий перевод (Ettore Atalan)

Версия 1.3.7
* задействован gnudb.org в качестве CDDB-сервера по умолчанию
* исправлены ошибки в модуле файловых операций, приводящие к аварийному
  завершению программы
* исправлена поддержка mpris
* исправлены проблемы отображения названия композиции в интерфейсе с
  поддержкой обложек
* исправлено предупреждение cmake
* обновлён польский перевод (mrerexx)

Версия 1.3.6
* добавлена поддержка тегов "исполнитель альбома" и "композитор" в модуле ffmpeg
* исправлено обновление названия окна при проигрывании CUE-треков
* исправлено аварийное завершение при использовании обложки Futura
* обновлён французский перевод (Adrien Vigneron)
* обновлён индонезийский перевод (Andika Triwidada и Wantoyo)

Версия 1.3.5
* добавлен значок для действия "воспроизвести/приостановить"
* исправлена поддержка тега "исполнитель альбома"
* исправлено пропадание битовой частоты после перезапуска приложения
* исправлена проблема с выводом некорректных аудио-свойств
* исправлено аварийное завершение на повреждённых m4a-файлах
* исправлено переполнение длительности
* исправлено обновление длительности списка воспроизведения
* исправлена проблема со специальными символами в модуле смены трека
* исправлено аварийное завершение на запароленных архивах
* обновлён галисийский перевод (Delio Docampo Cordeiro)

Версия 1.3.4
* улучшено определение mp3-файлов
* добавлено имя формата в модуле ffmpeg
* исправлена логика паузы
* исправлено случайное аварийное завершение программы при смене настроек аудио
* исправлено аварийное завершение программы в модуле QtMultimedia
* исправлено предупреждение при сборке
* исправлено форматирование длительности
* исправлена поддержка ReplayGain
* устранена утечка памяти
* исправлена поддержка нескольких каналов в эквалайзере
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён итальянский перевод (Luigi Toscano)

Версия 1.3.3
* добавлен вывод с плавающей точкой для PulseAudio, ALSA и OSS4
* добавлена информация в формате AppStream (Joel Barrios Dueñas)
* добавлены дополнительные размеры значков
* улучшено преобразование каналов
* исправлено удаление треков при использовании быстрого поиска в модуле qsui
* исправлено аварийное завершение на некоторых повреждённых архивах
* исправлена анимация логотипа в модуле qsui
* исправлено зависание в модуле ffmpeg
* обновлён голландский перевод (Heimen Stoffels)
* обновлён греческий перевод (Dimitrios Glentadakis)

Версия 1.3.2
* добавлено проигрывание трека по двойному щелчку в модуле истории
* включён декодер mpg123 для Windows
* использование обложки из файла по умолчанию
* исправлен модуль показа текстов
* исправлена документация по API
* исправлены проблемы с FLAC-файлами, если они доступны только для чтения
* исправлено отсутствие свойств для некоторых CUE-треков
* исправлено отображение горячих клавиш в контекстных меню под Qt 5.10 и выше
* исправлена поддержка Qt 5.13
* исправлено аварийное завершение при использовании сессии Wayland
* исправлено зависание на некоторых повреждённых файлах в модуле ffmpeg
* исправлено аварийное завершение на некоторых потоках в модуле ffmpeg
* исправлено определение типа файла по содержимому в модуле mpeg

Версия 1.3.1
* добавлена поддержка projectM 3.1
* добавлена возможность определения пути установки модулей через 
  pkgconfig (Chris Spiegel)
* исправлен цвет текста текущего трека в модуле qsui
* исправлена поддержка командной строки под Windows
* исправлена поддержка AAC
* исправлен скрипт kwin.sh (D1mon)
* обновлён польский перевод (mrerexx)
* обновлён португальский перевод (Sérgio Marques)
* обновлён финский перевод (Jiri Grönroos)
* обновлён русский перевод (Алексей Логинов)

Версия 1.3.0
* добавлен модуль истории прослушивания
* добавлен преобразователь моно в стерео
* добавлен декодер на базе mpg123
* добавлена регулировка громкости средствами PulseAudio
* добавлена возможность редактирования обложек
* оптимизированы чтение и запись списков воспроизведения
* добавлена поддержка формата TAK
* добавлена возможность отправки прослушанных треков на ListenBrainz
* добавлена сортировка по времени в модуле истории
* изменено описание модуля уведомлений KDE
* улучшен интерфейс с поддержкой обложек:
  - добавлены специальные настройки для KWin
  - добавлена возможность скрыть разделители
  - добавлен альтернативный цвет разделителей
  - устранено смещение списка во время загрузки
* улучшен интерфейс qsui:
  - добавлена возможность скрыть разделители
  - добавлена возможность изменить цвет разделителей
  - устранено смещение списка во время загрузки
* список съёмных носителей перенесён в меню "добавить"
* улучшен модуль http:
  - уменьшено число выделений памяти
  - ограничен максимальный размер буфера
* улучшен обзор потоков:
  - добавлена возможность редактирования списка закладок
  - вызов диалога перенесён из меню "инструменты" в меню "добавить"
* добавлены свойства трека в список полей форматирования названия
* добавлена возможность отключить чтение тегов при загрузке файла списка
* уменьшено число блокировок
* улучшена поддержка командной строки
* исправлена обработка опций командной строки: "--pl-help", "--nowplaying-syntax"
* исправлена возможность отключения внешних проигрывателей
* исправлена предустановка для flac в модуле преобразования форматов
* исправлена поддержка xfce
* улучшена поддержка Windows:
  - добавлен индикатор выполнения в панель задач (модуль taskbar)
  - добавлено определение съёмных устройств (модуль rdetect)
  - добавлен монопольный режим в модуле WASAPI
* скрыты внутренние символы в библиотеках liqmmp и libqmmpui
* изменён путь для установки модулей
* устранён конфликт между версиями на базе Qt4 и Qt5
* задействован модуль GNUInstallDirs для сборки с помощью cmake
* удалена поддержка mpris1
* удалена поддержка устаревших версий следующий библиотек:
  musepack, curl, alsa, sndlib, ffmpeg
* удалена поддержка Windows XP
* исключён модуль удаления
* заменены устаревшие классы Qt: QDesktopWidget, QSignalMapper
* обновлён русский перевод (Алексей Логинов, Виктор Ерухин)
* обновлён польский перевод (mrerexx)
* обновлён португальский перевод (Sérgio Marques)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён испанский перевод (Joel Barrios)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён индонезийский перевод (Wantoyo)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён финский перевод (Jiri Grönroos)
* обновлён китайский традиционный перевод (Cosmos Chen)

Версия 1.2.6
* исправлена сборка модуля OSS4
* исправлена поддержка нескольких форматов в модуле WavPack (12, 20-битного
  целочисленного и 32-битного с плавающей точкой)

Версия 1.2.5
* добавлен значок для действия "выход" в меню области уведомлений
* исправлена проблема с drag-and-drop под Qt 5.12
* исправлена проблема c 8-битным аудио в модуле ffmpeg
* исправлен парсинг вывода последней версии mplayer
* исправлено исправлено опции командной строки '--quit'
* устранена проблема с пустыми параметрами аудио

Версия 1.2.4
* добавлена оптимизация для эквалайзера
* обновлён список переводов
* улучшена поддержка PCM WAVE
* исправлена ошибка сегментации
* исправлено чтение тегов в модуле архивов
* исправлен быстрый переход в модуле архивов
* исправлена проблема в многомониторных конфигурациях
* обновлён польский перевод (mrerexx)
* обновлён португальский перевод (Sérgio Marques)
* обновлён испанский перевод (Joel Barrios)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён русский перевод

Версия 1.2.3
* добавлена совместимость с файлом конфигурации qmmp 0.12/1.3
* отключение глобальных клавиш во время настройки
* улучшен модуль горячих клавиш
* исправлены предупреждения gcc
* исправлено обновление метаданных
* исправлена сборка для windows
* исправлена проблема, связанная с отправкой одинаковых метаданных несколько
  раз подряд

Версия 1.2.2
* исправлена сборка с Qt 5.11
* исправлены утечки памяти

Версия 1.2.1
* добавлена поддержка ffmpeg 4.0
* добавлена возможность сменить интерфейс по умолчанию
* исправлено перемещение списков воспроизведения
* исправлена поддержка openbox
* исправлена поддержка kwin
* исправлено определение mp3-формата
* исправлен быстрый переход с помощью колеса мыши
* исправлена сборка с Qt 5.11
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён испанский перевод (Joel Barrios)

Версия 1.2.0
* добавлен модуль чтения архивов (требуется TagLib 1.11 или выше)
* добавлен модуль записи в файл
* добавлен модуль вывода icecast
* добавлена возможность отключить уведомление, если выполняется другое
  полноэкранное приложение
* добавлена вкладка с обложкой в диалоге информации о треке
* добавлена опция командной строки "--volume-status"
* добавлена опция командной строки "--mute-status"
* добавлена возможность сменить пользовательский интерфейс из командной строки
* добавлена возможность вывода родительской директории при формировании названия
* добавлено кэширование текстов песен
* добавлен сброс названия окна при завершении воспроизведения
* добавлена реализация метода 'Raise' в модуле mpris
* добавлен список точек монтирования в файловый диалог
* улучшен API модулей
* улучшено кэширование обложек
* улучшена поддержка визуализации
* улучшен модуль aac
* улучшено определение типа данных в модуле ffmpeg
* улучшена поддержка m3u, pls и xspf
* улучшена поддержка DirectSound и WASAPI
* улучшен модуль sndfile
* улучшен модуль mpeg:
  - добавлена поддержка заголовков lame
  - добавлен пропуск паузы
  - улучшено определение типа файла
* улучшен модуль qsui:
  - добавлен быстрый поиск в просмоторщик файловой системы
  - добавлен быстрый поиск по списку воспроизведения
  - добавлена возможность изменять размер значков в панели инструментов
  - добавлена кнопка записи
  - добавлено выравнивание обложки
  - уменьшено потребление памяти
  - улучшены настройки
* устранены утечки памяти
* добавлен финский перевод (Jiri Grönroos)
* обновлён бразильский португальский перевод (Vitor Pereira)
* обновлён чешский перевод (Jaroslav Lichtblau)
* обновлён китайский упрощённый перевод (Mingcong Bai)
* обновлён французский перевод (Adrien Vigneron и Sébastien Aperghis-Tramoni)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён индонезийский перевод (Wantoyo)
* обновлён польский перевод (Daniel Krawczyk)
* обновлён португальский перевод (Sérgio Marques)
* обновлён русский перевод (Алексей Логинов)
* обновлён испанский перевод (Joel Barrios и Bohdan Shuba)
* обновлён японский перевод (RyoTa SimaMoto)
* обновлён украинский перевод (Геннадий Моцьо)

Версия 1.1.12
* исправлена регрессия в межпроцессном взаимодействии

Версия 1.1.11
* добавлены mime-типы AAC в файл qmmp.desktop
* добавлена поддержка исполнителя альбома в cue-парсеры
* использование имени игры в качестве названия альбома в модуле gme (Chris Spiegel)
* исправлен быстрый переход в модуле mpris
* исправлена проблема с отслеживанием свойств в модуле mpris
* исправлена возможная ошибка сегментации
* исправлены предупреждения cmake
* исправлена поддержка cmake 3.10
* исправлено вычисление размера файла в модуле ffmpeg
* исправлена возможная ошибка сегментации в модуле ffmpeg
* исправлено сохранение состояния опции автоматического режима эквалайзера
* исправлены права доступа для управляющего сокета (Андрей А. Рысь)
* исправлена поддержка rusxmms
* обновлён испанский перевод (Joel Barrios)
* обновлён португальский перевод (Sérgio Marques)
* обновлён греческий перевод (Dimitrios Glentadakis)

Версия 1.1.10
* добавлена возможность загружать плейлисты по https
* увеличен размер буфера DirectSound
* уменьшено время ожидания в модуле WASAPI 
* улучшен список модулей в диалоге настроек
* исправлена регрессия в диалоге быстрого перехода
* исправлена возможная ошибка сегментации
* исправлен быстрый переход в модуле ffmpeg
* исправлено разыменование нулевого указателя в модуле mpeg
* исправлены предупреждения gcc
* исправлена настройка дитеринга
* исправлена поддержка 24-х бит в модуле WASAPI
* исправлена ошибка сегментации на потоках Ogg FLAC
* исправлена поддержка обложек в формате XPM
* исправлена поддержка Qt 5.9 в модуле глобальных клавиш
* обновлена документация
* обновлён галисийский перевод (Delio Docampo Cordeiro)

Версия 1.1.9
* использование относительного пути к обложке для переносимого режима
* улучшена поддержка WASAPI
* исправлена поддержка курсоров в интерфейсе по умолчанию
* исправлено зависание плеера при использовании вывода через DirectSound
* исправлена документация
* исправлена проблема с диалогом быстрого перехода при включенной активации по единому щелчку мыши
* исправлена подсказка для иконки системного лотка
* исправлено вычисление битовой частоты для FLAC-файлов
* исправлена ошибка сегментации в модуле ffmpeg
* исправлен русский перевод
* обновлён французский перевод (Adrien Vigneron)

Версия 1.1.8
* исправлена поддержка PCM Wave
* исправлена поддержка формата Game Boy в модуле gme
* исправлено определение Xing-заголовка в модуле mpeg
* исправлен вывод опции командной строки "--status"
* исправлен максимальный год в редакторе тегов

Версия 1.1.7
* улучшено определение формата потоков в модуле ffmpeg
* исправлена поддержка GCC 6.x
* исправлена возможная ошибка сегментации
* исправлено аварийное завершение программы при использовании файлового диалога KDE
* исправлено сохранение состояния модулей визуализации
* обновлён бразильский португальский перевод (Vítor Pereira Barros)

Версия 1.1.6
* использование http-заголовка 'icy-name' в качестве запасного варианта названия
* включена по умолчанию поддержка AAC в модуле ffmpeg
* исправлен парсер ADTS в модуле aac
* исправлена возможная ошибка сегментации
* исправлена поддержка потокового вещания в формате Ogg Opus
* обновлён китайский упрощённый перевод (Mingcong Bai)

Версия 1.1.5
* добавлена поддержка ffmpeg 3.2
* устранена проблема с загрузкой файлов в модуле http
* исправлен выбор директорий в модуле qsui
* исправлена возможная ошибка сегментации
* исправлена опция командной строки '--pl-repeat-toggle'
* исправлены некоторые предупреждения cppcheck
* изменена форма файлового диалога

Версия 1.1.4
* исправлена поддержка обложек с файлом pledit.txt в кодировке UTF-16
* исправлено предупреждение 'index out of range'
* исправлена опечатка в интерфейсе qsui

Версия 1.1.3
* добавлено поле xesam:contentCreated в модуле mpris
* улучшено определение ape/tta
* исправлена ошибка, связанная с остановкой воспроизведения
* исправлено вычисление длительности в модуле mpeg
* исправлен  скробблинг треков, содержащих символ '&' в названии
* исправлен парсер ADTS в модуле aac
* исправлен путь к кэшу librcc для переносимого режима
* обновлён бразильский португальский перевод (Vitor Pereira)
* обновлён немецкий перевод (Ettore Atalan)

Версия 1.1.2
* исправлен путь к файлу настроек эквалайзера в модуле qsui (Ryota Shimamoto)
* устранено переполнение буфера

Версия 1.1.1
* добавлена поддержка ffmpeg 3.1
* добавлен переносимый режим для Windows
* исправлена поддержка qt5.7
* исправлен русский перевод
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён португальский перевод (Sérgio Marques)

Версия 1.1.0
* использование pcm-формата с плавающей точкой для всех декодеров с потерями
* использование pcm-формата с плавающей точкой для всех аудио-эффектов
* добавлен новый внутренний аудио-конвертер
* добавлена настройка дизеринга
* добавлена возможность изменения разрядности вывода
* добавлена настройка  шага регулировки громкости
* добавлен преобразователь частоты дискретизации на базе библиотеки soxr
* добавлена поддержка MacOS X (Иван Пономарёв)
* добавлен модуль вывода с использованием Qt Multimedia (Иван Пономарёв)
* добавлена возможность обновления списка воспроизведения
* добавлен двухпанельный файловый диалог
* добавлен скробблинг http-потоков
* добавлен многопоточный режим в модуле преобразования форматов
* добавлена поддержка m4a-файлов в сканере ReplayGain
* добавлен модуль вывода WASAPI
* добавлена поддержка https в модуле http
* добавлена поддержка wildmidi 0.4.0
* добавлена поддержка форматов XMIDI и MUS (от id Software)
* улучшен интерфейс с поддержкой обложек:
  - отображение информации о треке при двойном клике по названию композиции в главном окне (Thomas Perl)
  - улучшен таймер в "минимальном" режиме (Thomas Perl)
  - добавлено отключение сглаживания
  - добавлен поиск по треку с помощью колеса мыши
  - добавлена настройка выравнивания для столбцов
* улучшен простой интерфейс (qsui):
  - добавлена настройка выравнивания для столбцов
  - добавлена возможность добавлять/удалять ползунки громкости и поиска
  - добавлена возможность создавать несколько панелей
  - добавлены подсказки для ползунков громкости и поиска
  - улучшен ползунок регулировки громкости
  - исправлена проблема с ограничением минимальной ширины
* улучшен модуль wavpack:
  - добавлены некоторые оптимизации
  - устранена утечка памяти
* улучшен модуль ffmpeg:
  - добавлена поддержка обложек, "вшитых" в m4a-файлы
  - добавлена поддержка ReplayGain
* улучшен модуль ladspa
* улучшен парсер командной строки
* улучшен информационный диалог
* улучшен диалог "перейти к треку"
* улучшен модуль вывода DirectSound (поддержка 24/32-х бит и многоканальности)
* удалён преобразователь частоты дискретизации на базе libsamplerate
* удалена зависимость от библиотеки libsamplerate в модуле jack (заменена на soxr)
* изменены настройки по умолчанию в модуле mpeg
* исправлена проблема с кодировкой метаданных в модуле http
* исправлена поддержка юникода под windows
* исправлена поддержка unity/compiz
* исправлен парсинг номера диска
* обновлён болгарский перевод (Kiril Kirilov)
* обновлён китайский традиционный перевод (Jeff Huang)
* обновлён китайский упрощённый перевод (Mingcong Bai, Mingye Wang, mabier)
* обновлён французский перевод (Adrien Vigneron и Sébastien Aperghis-Tramoni)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён перевод на иврит (Genghis Khan)
* обновлён японский перевод (RyoTa SimaMoto)
* обновлён португальский перевод (Sérgio Marques)
* обновлён русский перевод
* обновлён украинский перевод (Геннадий Моцьо)

Версия 1.0.10
* улучшен модуль sid:
  - добавлено расширение c64
  - исправлен путь к базе HVSC
* обновлён японский перевод (RyoTa SimaMoto)

Версия 1.0.9
* исправлена поддержка taglib-1.9

Версия 1.0.8
* исправлена проверка сессии в модуле scrobbler
* исправлена одновременная работа с last.fm и libre.fm
* исправлен размер ячеек в списке интернет-радиостанций
* исправлена поддержка юникода под windows
* исправлена проблема доступа к файлам под windows
* отключены отступы в строке состояния интерфейса qsui

Версия 1.0.7
* добавлена поддержка ffmpeg 3.0
* добавлена поддержка события смены темы в модуле qsui
* устранена отправка множества команд "воспроизвести" при открытии нескольких файлов для воспроизведения
* устранены утечки памяти
* исправлена поддержка qt5.6

Версия 1.0.6
* добавлена возможность сменить модуль вывода по умолчанию
* добавлен пропуск неподдерживаемых файлов в модуле rgscan
* исправлена сборка модуля gme
* исправлены предупреждения компилятора gcc
* исправлен русский перевод
* обновлён португальский перевод (Sérgio Marques)
* обновлён китайский упрощённый перевод (Mingye Wang)

Версия 1.0.5
* добавлена поддержка gnome shell
* исправлен размер URL-диалога
* исправлена утечка памяти в модуле qsui
* исправлен модуль ladspa
* устранено повышенное использование процессора в модуле vorbis
* исправлена поддержка utf-8 в модуле scrobbler
* исправлен греческий перевод (Dimitrios Glentadakis)
* обновлён французский перевод (Adrien Vigneron)

Версия 1.0.4
* исправлена сборка интерфейса с поддержкой обложек

Версия 1.0.3
* добавлена обработка ошибок в модуле поддержки mplayer
* исправлена проблема с отображением некоторых обложек, находящихся внутри mp3-файлов
* исправлена поддержка некоторых обложек
* устранена невозможность сохранения низких уровней эквалайзера в модуле qsui
* исправлены предупреждения компилятора gcc
* исправлена сборка без Qt X11 Extras
* исправлена поддержка Cinnamon и MATE
* обновлён китайский упрощённый перевод (mabier)

Версия 1.0.2
* исправлена проблема с меню системного лотка (см. QTBUG-48869, автор патча: equeim)
* исправлено сохранение положения окон в интерфейсе с поддержкой обложек
* устранена ошибка сегментации в сканере ReplayGain
* исправлена опция 'скрывать при закрытии'
* исправлена поддержка некоторых обложек
* исправлен голландский перевод (Rhythmdrill)

Версия 1.0.1
* добавлена поддержка темы значков XFCE
* добавлена поддержка оконного менеджера Marco
* добавлена проверка поддерживаемой реализации OpenGL при использовании cmake
* улучшен парсер командной строки
* исправлено аварийное завершение программы в модуле поддержки mplayer-а
* исправлен индикатор времени в модуле qsui
* исправлен обрезанный вывод консольной команды "--pl-dump"
* исправлено индексирование треков

Версия 1.0.0
* переход на Qt5
* удалён модуль ffmpeg_legacy
* удалён устаревший модуль udisks
* удалена поддержка taglib версии ниже чем 1.8
* исправлен 16-битный конвертер
* исправлен русский перевод
* оптимизация эквалайзера
* оптимизация модулей flac и wavpack
* улучшен минимальный режим интерфейса с поддержкой обложек:
  - улучшен счётчик времени (Thomas Perl)
  - исправлены цвета списка воспроизведения
* устранены щелчки при проигрывании некоторых mp3-файлов
* устранена утечка памяти в модуле wavpack
* исправлена сортировка эффектов и декодеров
* исправлена возможная гонка ресурсов
* обновлён греческий перевод (Dimitrios Glentadakis)

Версия 0.9.0
* добавлен преобразователь последовательности аудио-каналов
* добавлена поддержка 9-канального звука в эквалайзер
* добавлена поддержка тега "исполнитель альбома" (Дмитрий Мишаров)
* добавлена асинхронная сортировка
* добавлена сортировка по времени изменения файла
* добавлена сортировка по исполнителю альбома
* добавлена поддержка нескольких столбцов в списке воспроизведения
* добавлена возможность скрыть длительность трека
* добавлено исключение модулей из сборки без модификации файла qmmp.pri (при использовании qmake)
* добавлено сохранение положения прокрутки списка
* добавлено автоматическое исключение аудио-файлов при загрузке директории с cue-файлом
* добавлена возможность изменить user agent
* добавлена возможность изменить название главного окна
* добавлен сброс шрифтов
* добавлен сброс горячих клавиш
* добавлена горячая клавиша по умолчанию для переименования списка
* добавлена возможность отключить затухание в модуле gme
* добавлен простой интерфейс пользователя (QSUI) со следующими изменениями:
  - добавлена поддержка нескольких столбцов
  - добавлена сортировка по исполнителю альбома
  - добавлена сортировка по времени изменения файла
  - добавлена возможность скрыть длительность трека
  - добавлена горячая клавиша по умолчанию для переименования списка
  - добавлено действие "Сохранить список" в меню вкладки
  - добавлен сброс шрифтов и горячих клавиш
  - улучшена строка состояния
* оптимизация контейнера списка воспроизведения
* оптимизация преобразователя частоты дискретизации
* улучшены скрипты сборки cmake (RyoTa SimaMoto)
* улучшено уведомление об изменениях списка воспроизведения
* ускорено форматирование названий треков
* улучшена поддержка ape-тегов в модуле mpeg
* улучшен модуль файловых операций:
  - добавлена возможность перемещать файлы
  - переработан диалог настроек
* увеличен размер диалога информации о треке
* уменьшено использование процессора (Hon Jen Yee)
* изменена обложка по умолчание на Glare (автор обложки: sixsixfive)
* изменён разделитель списков по умолчанию
* использование вывода DirectSound по умолчанию под Windows
* обновлён русский перевод
* обновлён чешский перевод (Jaroslav Lichtblau)
* обновлён перевод на иврит (Genghis Khan)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён португальский перевод (Sérgio Marques)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён французский перевод (Sébastien Aperghis-Tramoni)
* обновлён польский перевод (Daniel Krawczyk)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён японский перевод (RyoTa SimaMoto)

Версия 0.8.8
* устранено аварийное завершение программы при выходе во время загрузки списка
* исправлена поддержка некоторых обложек
* исправлена документация
* исправлена поддержка cmake

Версия 0.8.7
* исправлен модуль opus
* исправлены опечатки

Версия 0.8.6
* добавлена поддержка файлов *.med (Ville Skyttä)
* добавлены расширения s3m, stm, и xm в desktop-файлы (Ville Skyttä)
* обновлён японский перевод (RyoTa SimaMoto)
* улучшены настройки глобальных клавиш
* исправлена активация главного окна
* исправлено сворачивание главного окна через панель задач под windows
* исправлено отображение некоторых обложек
* исправлено расположение директории с настройками программы
* исправлены цвета текста бегущей строки
* исправлен адрес домашней страницы
* исправлена форма информационного диалога
* исправлена документация
* исправлена поддержка клавиатур с совмещённой клавишей "Воспр./Пауза"

Версия 0.8.5
* добавлена поддержка директории с данными пользователя
* увеличен приоритет потока плеера под windows
* исправлено изменение размера списка при использовании локалей с написанием справа налево
* исправлена поддержка vorbis comment
* исправлена сборка с qmake
* исправлена ошибка, приводящая к пропаданию обложки исполнителя
* исправлено описание исполняемого файла под windows
* исправлена форма настроек
* исправлена проблема с разделителями путей под windows
* исправлена поддержка libre.fm
* исправлена поддержка некоторых обложек
* исправлены настройки модуля modplug

Версия 0.8.4
* добавлены значки для некоторых действий
* устранены множественные соединения с одним и тем же сигналом при переключении списков
* исправлена документация по api
* исправлена отрисовка переключателя списков
* исправлен португальский перевод (Sérgio Marques)
* исправлен перевод на иврит (Genghis Khan)
* обновлён турецкий перевод (Uğur KUYU)

Версия 0.8.3
* уменьшено время операций "Перемешать список" и "Удалить дубликаты"
* исправлена поддержка ffmpeg 2.5
* исправлены 24/32-битые режимы в эквалайзере
* исправлено чтение обложек
* исправлено автоматическое воспроизведение при открытии списка из командной строки
* обновлён португальский перевод (Sérgio Marques)
* обновлён чешский перевод (Jaroslav Lichtblau)

Версия 0.8.2
* добавлен португальский перевод (Sérgio Marques)
* добавлена интеграция с сервисом transifex
* добавлена поддержка webm
* улучшено качество масштабирования изображений
* исправлено чтение xspf
* исправлена последовательность загрузки обложек
* исправлена активация главного окна под windows
* исправлены настройки цветов анализатора
* исправлены опечатки (Matteo Cypriani)
* исправлена возможная ошибка сегментации в модуле opus
* исправлен разделитель файловых фильтров
* уменьшена задержка чтения тегов (требуется TagLib 1.8 или выше)
* обновлён русский перевод
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён японский перевод (Ryota Shimamoto)

Версия 0.8.1
* добавлено автоопределение патчей проекта rusxmms для всех поддерживаемых платформ
* добавлено описание приложения в исполняемый файл под windows
* исправлены опции командной строки --pl-dump и --pl-play
* исправлены регрессии в поддержке интерфейса mpris 1.0
* исправлен выбор треков с помощью клавиатуры в списке воспроизведения
* исправлено исчезновение номера диска при использовании flac со встроенным cue
* исправлена активация главного окна
* исправлена ошибка сегментации при перемещении треков в режиме группировки
* исправлена работоспособность команды "выход" при включенной опции "скрывать при закрытии"
* исправлено зависание в модуле alsa
* исправлена поддержка m4a
* исправлена очистка сочетания клавиш в модуле глобальных клавиш
* удалены дублирующиеся расширения из настроек файловых ассоциаций

Версия 0.8.0
* добавлен модуль sid
* добавлен сканер ReplayGain
* добавлена поддержка горячих клавиш gnome
* добавлен модуль DirectSound
* добавлена группировка треков
* добавлена сортировка по группе
* добавлен быстрый поиск при просмотре списков воспроизведения
* добавлен просмотр информации для нескольких треков в одном окне
* добавлено контекстное меню в списке модулей
* добавлена отложенная загрузка модулей
* добавлена возможность отключения транспортных модулей
* добавлено ожидание данных для транспортных модулей
* добавлен формат с плавающей точкой для декодеров с потерями
* добавлена возможность превышения пикового значения для декодеров с потерями
* добавлено чтение информации ReplayGain из id3v2-тегов
* добавлено предотвращение срезания с использованием технологии ReplayGain
* добавлена отложенная инициализация для модуля wildmidi
* добавлены горячие клавиши для управление громкостью
* добавлена глобальная клавиша 'выключить звук'
* добавлена опция командной строки '--toggle-mute'
* добавлена опция командной строки '--show-mw'
* добавлена предустановка ogg opus в модуль преобразования форматов
* добавлена поддержка api scrobbler 2.0 для сервиса libre.fm
* добавлено контекстное меню в окне анализатора спектра
* добавлен доступ к флагам окна из api модулей визуализации
* добавлено атомарное сохранение списка воспроизведения
* добавлен автовыбор нового списка воспроизведения
* добавлена возможность не очищать предыдущий список при открытии нового
* добавлена настройка опций командной строки mplayer-а
* добавлен сербский перевод (Mladen Pejaković)
* заблокировано присвоение одного сочетания клавиш для нескольких действий в модуле глобальных клавиш
* ограничен размер кэша обложек
* улучшен диалог 'перейти к треку'
* улучшен модуль projectm:
  - добавлено контекстное меню
  - добавлен многоканальный режим
  - добавлен список предустановок
  - добавлена поддержка win32
* улучшена поддержка win32
  - добавлена поддержка библиотеки enca
  - добавлена возможность добавлять файлы из нескольких экземпляров программы
  - добавлена поддержка файловых ассоциаций (на базе реализации из SMPlayer-а)
  - добавлена поддержка удаления
* исправлен шум при опустошении буфера
* исправлен формат названия трека в минимальном режиме
* исправлена обработка сочетания клавиш alt-f4
* исправлена возможная гонка ресурсов
* исправлена возможная ошибка сегментации в модуле mad
* исправлено назначение клавиши 'выброс'
* исправлена активация главного окна при запуске другого экземпляра программы
* исправлена обложка по умолчанию
* обновлён русский перевод
* обновлён перевод на иврит (Genghis Khan)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён сербский перевод (Mladen Pejaković)
* обновлён польский перевод (Grzegorz Gibas)
* обновлён литовский перевод (Algirdas Butkus)

Версия 0.7.7
* исправлены опечатки
* исправлена поддержка польской локализации
* удалён ключ 'OnlyShowIn' из файла qmmp.desktop
* удалены ненужные файлы

Версия 0.7.6
* добавлена поддержка libav 10 и ffmpeg 2.2
* устранено зависание при продолжении воспроизведения
* исправлена обработка url
* исправлено случайное зависание в модуле mplayer
* исправлен сброс выбора треков при вызове контекстного меню
* исправлена поддержка медиа-клавиш под win32

Версия 0.7.5
* устранена регистро-зависимость при проверке расширений файлов (благодарности: Ryota Shimamoto)
* исправлена поддержка специальных глобальных клавиш под win32
* исправлена поддержка последней версии cmake
* исправлена начальная позиция регулятора громкости в окне эквалайзера
* исправлены предупреждения компилятора clang

Версия 0.7.4
* добавлен галисийский перевод (Óscar Pereira)
* добавлена поддержка ffmpeg 2.1
* добавлена поддержка расширения m3u8
* улучшена поддержка ReplayGain:
  - исправлен 24/32-битный режим
  - добавлено срезание для предотвращения переполнения
* улучшен модуль cdaudio:
  - добавлена поддержка Windows
  - добавлено кэширование треков
  - исправлена поддержка прокси-сервера
* исправлена локализация модуля wildmidi
* устранена регистро-зависимость при проверке расширений файлов
* исправлены предупреждения gcc 4.8
* исправлена утечка памяти
* исправлено несколько Windows-специфичных ошибок:
  - исправлено чтение m3u-файлов с обратным слэшем
  - исправлена проблема с абсолютными путями
  - исправлено добавление файлов из командной строки
  - исправлена поддержка модификатора Meta/Win в модуле глобальных клавиш
* исправлен японский перевод (RyōTa SimaMoto)

Версия 0.7.3
* добавлено сохранение размера и расположения окна в модуле projectm
* отключены неподдерживыемые настройки в модуле statusicon под Windows
* исправлены предупреждения вида "invalid parent thread"
* исправлено состояние гонки
* исправлена поддержка ReplayGain в модуле flac
* исправлено чтение номера диска/трека с разделителем
* исправлена всплывающая подсказка в модуле "status icon" под Windows
* исправлена опция 'показывать подсказку' в модуле "status icon"
* удалены неиспользуемые переменные

Версия 0.7.2
* исправлена ошибка обновления очереди
* исправлено форматирование длительности трека
* исправлена документация api
* исправлены предупреждения gcc
* исправлены утечки памяти
* исправлен путь к файлу конфигурации wildmidi
* исправлено автосохранение списка воспроизведения
* исправлена возможная ошибка сегментации
* исправлена ошибка обновления формата названия
* удалена нереализованная функция

Версия 0.7.1
* улучшен модуль jack (поддержка 24/32-битных режимов и freebsd)
* исключены mime-типы отключенных плагинов в интерфейсе mpris
* исправлена поддержка windows в модуле gme
* исправлен диалог редактирования горячих клавиш
* исправлена документация по api
* исправлен расчёт размера icy-пакетов
* исправлены возможные зависания
* исправлен испанский перевод (Gustavo Alvarez)
* исправлена и улучшена поддержка qmake (Ryota Shimamoto)
* исправлена поддержка pkg-config
* исправлено несколько ошибок в интерфейсе пользователя
* исправлены ошибки в модуле scrobbler

Версия 0.7.0
* добавлен модуль udisks2
* добавлен модуль opus
* добавлен модуль смены трека
* добавлен модуль копирования/вставки треков
* добавлен тип содержимого x-content/audio-cdda
* добавлен 24/32-битный эквалайзер
* добавлена интеграция в unity
* добавлена опция выбора языка интерфейса
* добавлена возможность авто-сохранения списков воспроизведения (Ferdinand Vesely)
* добавлен единый URL-диалог
* добавлена загрузка списков воспроизведения из командной строки
* добавлена поддержка winapi в модуле горячих клавиш
* добавлена регулировка громкости в модуль waveout
* добавлен авто-поиск конфигурационного файла wildmidi
* добавлена сортировка по времени создания файла
* добавлено отображение версии libavutil в модуль ffmpeg
* добавлен автоматический 16-битный аудио-конвертер
* добавлена обработка паузы в модуле scrobbler (Ferdinand Vesely)
* включена кодировка UTF-8 по умолчанию для cue-файлов и shoutcast-данных
* включено большее число форматов по умолчанию в модуле ffmpeg
* улучшен api некоторых типов модулей
* улучшен анализатор спектра (изменяемый размер, полноэкранный режим и т.д.)
* улучшена авторизация на last.fm
* улучшен диалог настроек
* удалена зависимость от QtXML в модуле scrobbler
* отключён по умолчанию модуль udisks
* поддержка ffmpeg 0.6-0.8 перемещена в отдельный модуль
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён русский перевод
* обновлён польский перевод (Grzegorz Gibas)
* обновлён японский перевод (Ryota Shimamoto)
* обновлён перевод на иврит (Genghis Khan)
* обновлён чешский перевод (Karel Volný)

Версия 0.6.8
* исправлены ошибки в модуле поддержки mpris
* исправлена ошибка сегментации при запуске без модулей вывода
* обновлён японский перевод (Ryota Shimamoto)

Версия 0.6.7
* добавлена интеграция с lubuntu
* улучшена поддержка языков с написанием справа налево
* исправлена поддержка последней версии paranoia
* исправлена поддержка libav 0.8.x
* исправлена горячая клавиша 'ввод' в диалоге списков воспроизведения
* исправлена поддержка 24-битного режима в модуле src
* исправлены предупреждения компилятора

Версия 0.6.6
* добавлена поддержка перенаправления по протоколу http в диалоге добавления url
* добавлена поддержка ffmpeg 1.1
* исправлена поддержка 24/32-битного режима в модуле src
* исправлен быстрый переход внутри аудио-файла при использования вывода oss4
* исправлена поддержка потоков в модуле ffmpeg
* исправлена сборка без заголовочных файлов qt3support (благодарности Дмитрию Смолину)
* исправлен курсор заголовка окна списка воспроизведения
* исправлена поддержка mpris2
* исправлены опечатки
* обновлён перевод на иврит (Genghis Khan)

Версия 0.6.5
* добавлена поддержка последних версий Psi/Psi+
* добавлен перевод на иврит (Genghis Khan)
* увеличен размер по умолчанию буферов mms/http
* исправлены диалоги редактирования горячих клавиш
* исправлено падение программы из-за транспорта http
* исправлено определение типа файла по содержимому
* исправлено расположение разделительной линии в списке воспроизведения
* исправлены некоторые ошибки в модуле WaveOut
* обновлён японский перевод (Ryota Shimamoto)
* обновлён русский перевод
* обновлён mime-тип файлов flac (Christian Morales Vega)

Версия 0.6.4
* использование UTF-8 по умолчанию для метаинформации в shoutcast-потоках
* исправлено обновление меню визуализации после вызова настроек
* исправлены настройки интерфейса с поддержкой обложек
* исправлены скорости падения анализаторов спектра
* исправлено переключение типов визуализация в интерфейсе с поддержкой обложек
* исправлена ошибка при изменении размера заголовка списка воспроизведения
* исправлен компонент выбора цвета
* исправлено возможное падение в транспортных модулях
* исправлен русский перевод
* обновлён японский перевод (Ryota Shimamoto)

Версия 0.6.3
* исправлена опечатка в диалоге "О программе"
* исправлен адрес FSF
* исправлена поддержка cmake
* исправлены фильтры сканера директорий
* исправлено падение во всплывающем сообщении списка воспроизведения
* обновлён литовский перевод (Algirdas Butkus)

Версия 0.6.2
* исправлено падение в модуле http (Franz Fellner)
* исправлено возможное падение в модуле cue

Версия 0.6.1
* добавлены значки на кнопки файлового диалога
* исправлены названия icecast-потоков
* исправлена сборка
* исправлен модуль вывода по умолчанию под windows
* исправлена документация api
* исправлена возможная ошибка сегментации в модуле cue
* исправлена поддержка некоторых cue-файлов
* исправлено автоматическое определение кодировки
* исправлен украинский перевод (Геннадий Моцьо)
* исправлен русский перевод

Версия 0.6.0
* добавлен преобразователь форматов
* добавлен обзор потоков
* добавлено определение типов файлов по содержимому (экспериментальное)
* добавлена опция командной строки '--quit'
* добавлена настройка фона бегущей строки
* добавлена возможность изменения разделителя списков воспроизведения
* добавлен API для многоканального эквалайзера
* добавлены предустановки эквалайзера из Amarok (благодарности: Panagiotis Papadopoulos)
* добавлен доступ к спискам воспроизведения из командной строки
* добавлен дизеринг в модуле MPEG
* добавлена поддержка приоритетов в API декодера
* добавлен API для модулей пользовательских интерфейсов
* добавлены шаблон названия файлов и путь по умолчанию в модуль файловых операций
* добавлены дополнительные фильтры для директорий
* добавлена возможность добавить файлы из командной строки в определённый список
* добавлена поддержка pkg-config
* добавлена поддержка vqf
* добавлено отображение информации о потоке shoutcast
* добавлены глобальные клавиши 'перейти к треку' и 'вперёд/назад'
* добавлена кнопка 'новый список'
* добавлена сортировка по номеру диска (Brice Videau)
* добавлена возможность использовать содержимое буфера обмена в URL-диалоге (Panagiotis Papadopoulos)
* добавлена синхронизация кэша модуля scrobbler после удачной отправки данных на сервер (Ferdinand Vesely)
* изменён порядок вставки новых списков воспроизведения
* отключён по умолчанию модуль OSS3
* улучшен модуль cue
* интерфейс с поддержкой обложек перенесён в отдельный модуль
* исправлена опция 'скрывать при закрытии'
* исправлены предупреждения moc во время сборки
* исправлен IPC под windows
* исправлены windows-специфичные ошибки
* исправлены проблемы с асинхронными вызовами
* исправлен файл qmmp_cue.desktop
* исправлено сохранение списков воспроизведения при завершении сеанса
* обновлён диалог 'о программе'
* обновлён русский перевод
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён японский перевод (Ryota Shimamoto)
* обновлён польский перевод (Grzegorz Gibas)
* обновлён немецкий перевод (Panagiotis Papadopoulos)
* обновлён голландский перевод (Ronald Uitermark)

Версия 0.5.6
* добавлена поддержка ffmpeg 0.11
* исправлена сборка под freebsd

Версия 0.5.5
* добавлена поддержка последней версии libcdio (Leon Merten Lohse)
* модуль oss4 включён по умолчанию
* исправлен русский перевод
* исправлена поддержка aac-потоков
* исправлено вычисление битовой частоты для aac-файлов
* исправлена отправка информации на last.fm и libre.fm при использовании Qt 4.8 (Cristian Rodríguez)
* исправлена поддержка oss под freebsd
* исправлена поддержка некоторых cue-файлов
* исправлена обработка опции --pause из командной строки (Jared Breland)
* обновлён японский перевод (Ryota Shimamoto)

Версия 0.5.4
* добавлена поддержка ffmpeg 0.10
* добавлена поддержка тега с номером диска для flac-файлов со втроенным cue (Brice Videau)
* исправлена сборка (Karel Volný)
* исправлены ошибки сортировки (Brice Videau)
* исправлена функция drag-and-drop
* исправлена перемотка списков воспроизведения
* исправлена утечка памяти

Версия 0.5.3
* добавлена поддержка Sony Media Wave 64 (W64)
* добавлена поддержка ffmpeg 0.9.1
* исправлена поддержка jack 1.9.6
* исправлено зависание модуля http
* исправлено отображение битовой частоты ape-файлов
* исправлены ошибки в бегущей строке
* исправлено управление громкостью в модуле oss4
* исправлено падение программы при включенной опции "повторять трек"
* исправлен шрифт по умолчанию в текстовой строке
* исправлено падение при удалении недоступных треков
* исправлено удаление дублирующихся треков
* удалена зависимость от taglib в модуле gme
* обновлён японский перевод (Ryota Shimamoto)

Версия 0.5.2
* добавлен сброс канала эквалайзера по средней кнопке мыши (Panagiotis Papadopoulos)
* добавлена поддержка уведомления последних версий Psi+
* добавлен словацкий перевод (Ján Ďanovský)
* добавлена поддержка EAC3, DTS и Dolby TrueHD (Makis Kalofolias)
* добавлено автоматическое удаление пробелов из URL
* добавлена поддержка метаинформации в mms-потоках
* улучшен выбор списков воспроизведения
* улучшена работа с "прилипающими" окнами
* исправлена ошибка в смене курсора мыши
* исправлена ошибка выделения нескольких фрагментов
* исправлена поддержка cmake
* исправлено перемещение главного окна с зажатой клавишей ALT
* исправлены задержки при использовании протокола mms
* исправлена поддержка pulseaudio
* исправлена поддержка jack
* исправлен формат бегущей строки

Версия 0.5.1
* добавлена поддержка последней версии ffmpeg
* добавлена поддержка ac3
* добавлена возможность переключения в минимальный режим по двойному щелчку (Panagiotis Papadopoulos)
* уменьшено время старта программы
* исправлена ошибка в визуализации
* исправлен модуль scrobbler
* исправлены скрипты сборки
* исправлена синхронизация сигналов
* исправлена поддержка mplayer-а
* исправлена ошибка сегментации в настройках модуля alsa
* исправлена поддержка mpris2
* исправлено перекрывание главного окна в левой части экрана (Artur Guzik)
* исправлено зависание на несуществующих файлах
* исправлены ошибки в поддержке системного лотка (Artur Guzik)
* исправлена ошибка в обработке нажатия кнопок
* исправлена поддержка metacity
* удалены вызовы внутреннего api из модуля gme
* обновлён китайский традиционный перевод (lon)
* обновлён китайский упрощённый перевод (lon)
* обновлён немецкий перевод (Panagiotis Papadopoulos)

Версия 0.5.0
* добавлен модуль расширения стереобазы
* добавлен модуль udisks
* добавлена поддержка midi
* добавлена поддержка программ звукогенераторов
* добавлен эффект crossfade (экспериментальный)
* добавлена поддержка mpris 2.0
* добавлена поддержка протокола scrobbling 2.0
* добавлена поддержка xdg-пиктограмм
* добавлена поддержка tint2/lxpanel
* добавлено автоопределения менеджера окон
* добавлена интеграция lxde
* добавлена возможность сброса баланса по средней кнопке мыши
* добавлены опции командной строки: --status и --nowplaying
* добавлено перемещение вкладок
* добавлена возможность копирования треков между вкладками (Avihay Baratz)
* добавлена опция 'показывать на всех рабочих столах'
* добавлена поддержка 96 кГц в эквалайзер
* добавлены изображения для устройств udisks/hal
* добавлена кнопка открытия текущего каталога в диалог информации о файле (благодарности: Panagiotis Papadopoulos)
* добавлена возможность изменения размера звукового буфера
* добавлены горячие клавиши 'показать список' и 'показать эквалайзер'
* добавлен редактор горячих клавиш
* добавлены возможности не продвигаться по списку и останавливаться после выбранного трека (Avihay Baratz)
* добавлено выравнивание номеров треков
* уменьшена задержка при поиске
* уменьшена задержка эквалайзера
* переработано главное меню программы
* улучшен модуль cue (Evgeny Gleyzerman)
* улучшена реализация аудио-эффектов
* улучшено отображение списка
* улучшена бегущая строка
* поддержка OSS4 вынесена в отдельный модуль
* исправлена логика списка воспроизведения (Avihay Baratz)
* исправлены проблемы с большими шрифтами в списке воспроизведения
* исправлены проблемы с неправильными ссылками
* исправлены свойства окон WM_CLASS/WM_ROLE
* исправлено определение форматов по mime-типу
* обновлён русский перевод
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён польский перевод (Grzegorz Gibas)
* обновлён японский перевод (Ryota Shimamoto)
* обновлён немецкий перевод (Panagiotis Papadopoulos)
* обновлён испанский перевод (Félix Medrano)
* обновлён литовский перевод (Algirdas Butkus)

Версия 0.4.5
* добавлена поддержка опций "только для чтения" в модуль LADSPA
* исправлена сборка с помощью qmake (Ryota Shimamoto)
* исправлен список заголовочный файлов (Ryota Shimamoto)
* исправлены опечатки
* исправлен модуль scrobbler (Ferdinand Vesely)
* обновлён японский перевод (Ryota Shimamoto)

Версия 0.4.4
* добавлена возможность сохранения cue-треков внутри файлов списков воспроизведения
* оптимизирован модуль ladspa
* исправлено случайное воспроизведение (Anton Petrusevich)
* исправлена поддержка metacity
* исправлены заголовки окон
* исправлена обработка cue
* исправлена проблема с glibc 2.13 (Michał Grosicki)
* переход на сервис LyricWiki
* обновлён японский перевод (Ryota Shimamoto)
* обновлён русский перевод

Версия 0.4.3
* добавлено автоопределение dvd
* добавлена возможность сброса баланса с помощью средней кнопки мыши (Panagiotis Papadopoulos)
* исправлена сборка (Christian Morales Vega)
* исправлены проблемы с pidginmusic-tracker
* исправлена обработка командной строки
* исправлено обновление списка обложек
* исправлена ошибка сегментации при воспроизведении видео
* исправлена отработка команды 'следующей фрагмент'
* устранена утечка памяти
* исправлено сохранение vorbis comment
* исправлена поддержка потоков в формате aac
* устранён шум при перемотке ape-файлов
* исправлен русский перевод
* исправлено падение при одновременном добавлении нескольких каталогов
* исправлено добавление/удаление эффектов

Версия 0.4.2
* добавлен японский перевод (RyoTa SimaMoto)
* добавлен испанский перевод (Félix Medrano)
* добавлена поддержка смещения в модуль mplayer
* обновлён немецкий перевод (Panagiotis Papadopoulos)
* обновлён польский перевод (Grzegorz Gibas)
* исправлена сборка
* исправлена поддержка формата shorten
* исправлено зависание на повреждённых файлах
* исправлена проблема с UDS под freebsd (RyoTa SimaMoto)
* исправлены задержки при использовании oss
* исправлено возможное зависание в модуле mplayer
* исправлены проблемы с некоторыми видео-форматами
* исправлено получение текстов песен (из-за изменений в api сервиса)
* исправлена обработка шаблонов (Avihay Baratz)
* изменена форма редактора тегов
* удалены устаревшие функции из модуля jack

Версия 0.4.1
* добавлен голландский перевод (Ronald Uitermark)
* добавлена поддержка аудио-формата shorten
* исправлена поддержка flv
* исправлена поддержка mplayer
* исправлены всплывающие уведомления
* исправлен формат времени
* исправлена возможная ошибка сегментирования
* исправлена ошибка, приводящая к появлению эквалайзера после сохранения настроек
* исправлен шаблон уведомления
* исправлена ошибка в модуле mpris
* исправлен диалог добавление url
* исправлено определение съёмных устройств
* исправлена проблема с обновлением метаинформации
* добавлен пропуск недоступных файлов
* удалена устаревшая функция memalign

Версия 0.4.0
* частично переписано звуковое ядро
* добавлен транспортный api
* добавлен api для внешних плееров
* добавлено форматирование тегов, основанное на шаблонах
* добавлена поддержка шаблонов в модуле уведомлений
* добавлена поддержка обложек
* добавлен единый диалог для работы с мета-информацией
* добавлена поддержка дополнительных тегов
* добавлена поддержка растровых шрифтов (Erik Ölsar)
* добавлена всплывающая подсказка в системный лоток (Artur Guzik)
* добавлен модуль уведомлений KDE4 (Artur Guzik)
* добавлена поддержка встроенных в обложки курсоров (Erik Ölsar)
* добавлен режим двойного размера
* добавлена поддержка нескольких списков воспроизведения
* добавлена модуль поддержки ladspa
* добавлена поддержка ReplayGain
* добавлена поддержка потоков в формате aac
* добавлен модуль управления обложками
* добавлен 16-битный вывод
* добавлено автоматическое определение кодировки (для cue-файлов и icy-метаинформации)
* добавлен модуль нулевого вывода
* добавлена поддержка cddb
* добавлена поддержка ogg flac
* добавлена опция 'продолжить воспроизведение при запуске'
* добавлена опция 'поверх всех окон'
* добавлен быстрый поиск в опции командной строки
* добавлена возможность удалять дублирующиеся или несуществующие треки из списка
* добавлен модуль поддержки http
* добавлен модуль поддержки mms (экспериментальный)
* добавлена поддержка обложек в модуль mpris
* добавлены масштабируемые иконки (Adria Arrufat и Quentin Denis)
* удалены устаревшие классы Qt
* удалена поддержка http из ядра
* улучшена поддержка cue
* улучшен модуль scrobbler
* улучшен модуль файловых операций
* устранены паузы между cue-треками
* исправлен быстрый поиск внутри ape-файлов (Михаил Желудков)
* обновлён русский перевод
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён чешский перевод (Karel Volný)
* обновлён венгерский перевод (Németh Gábor)
* обновлён литовский перевод (Algirdas Butkus)
* обновлён польский перевод (Grzegorz Gibas)

Версия 0.3.4
* исправлена сборка
* исправлена ошибка в настройках глобальных клавиш
* исправлена поддержка 24-битных файлов wavpack
* исправлен просмоторщик текстов песен
* исправлен desktop-файл (Karel Volný)

Версия 0.3.3
* добавлен венгерский перевод (Németh Gábor)
* исправлена поддержка диалога kde (благодарности: Sebastian Piping)
* устранены проблемы с некоторыми mp3-файлами
* устранено падение на m4a-файлах
* исправлен диалог настроек
* устранены проблемы с прокси

Версия 0.3.2
* добавлена поддержка metacity
* добавлена поддержка projectM 2.0
* добавлена поддержка диалогов kde
* удалена зависимость от XFree86-Misc
* исправлена программная громкость
* устранено падение программы на 6-канальных файлах
* исправлено чтение файлов cue
* улучшен диалог "перейти к треку"

Версия 0.3.1
* добавлены горячие клавиши Home/End
* добавлена возможность скрыть номера песен
* добавлена поддержка cygwin (yselkowitz AT gmail.com)
* добавлена поддержка стандартных иконок в модуле Status Icon
* добавлена опция совместимости с openbox
* добавлена возможность загружать модули из другого места (Holger Schurig)
* добавлено расширение mkv в модуль поддержки mplayer-а
* добавлена регулировка громкости с помощью глобальных клавиш
* добавлена прокрутка бегущей строки с помощью мыши (Erik Ölsar)
* добавлена поддержка Qt 4.6
* исправлена сборка на некоторых системах (Pino Toskano)
* исправлена проблема с сообщением буферизации
* исправлена сортировка по имени
* исправлено чтение cue
* исправлена отображаемая версия mpeg
* исправлена ошибка, связанная с отсутствием комментария в списке
* исправлены нерабочие глобальные клавиши при включенном capslock-е
* устранена блокировка клавиатуры в модуле глобальных клавиш
* исправлен нерабочий эквалайзер при использовании модуля Ogg Vorbis
* исправлен модуль jack
* исправлено получение информации из UDS
* исправлено поведение фокуса на кнопках  (Erik Ölsar)
* исправлена проблема с медленной визуализацией
* исправлены проблемы с некоторыми звуковыми картами
* исправлено определение языка интерфейса
* исправлена потеря текущего трека
* сервис LyricWiki.org заменён на lyricsplugin.com
* добавлен литовский перевод (Algirdas Butkus)
* добавлен казахский перевод (Baurzhan Muftakhidinov)
* обновлены китайский традиционный и китайский упрощённый переводы(lon)
* обновлён русский перевод
* обновлён турецкий перевод (Bilgesu Güngör)
* обновлён немецкий перевод (Panagiotis Papadopoulos)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён итальянский перевод (Gian Paolo Renello)
* обновлён польский перевод (Grzegorz Gibas)

Версия 0.3.0
* новый интерфейс libqmmp и libqmmpui
* добавлена поддержка cue (экспериментальная)
* добавлена поддержка cue встроенного в flac
* добавлена поддержка cue встроенного в wavpack (благодарности: Дмитрию Костину)
* добавлен модуль aac
* добавлен модуль cd audio
* добавлен модуль управления mplayer-ом
* добавлена поддержка форматов библиотеки ffmpeg (включая Monkey's audio)
* добавлена поддержка глобальных горячих клавиш
* добавлена поддержка mpris
* добавлен модуль для показа текстов песен (используется lyricwiki.org)
* добавлено обнаружение съёмных носителей (с помощью hal)
* добавлен модуль для работы с файлами
* добавлена визуализация projectm
* добавлен модуль эффектов bs2b (благодарности: Sebastian Pipping)
* добавлена частичная поддержка mingw
* добавлен модуль вывода waveout
* добавлена документация по api
* добавлены настройки прозрачности
* добавлен итальянский перевод (Gian Paolo Renello)
* удалён модуль dbus
* улучшена поддержка системного лотка: добавлена регулировка громкости с помощью колёсика мыши
* улучшен модуль scrobbler: добавлены уведомление о текущей композиции, поддержка libre.fm, автономный режим
* улучшена поддержка визуализации
* улучшена интеграция с файловым менеджером
* улучшен модуль уведомлений: добавлены настройка прозрачности и отслеживание громкости
* улучшен список воспроизведения: добавлена возможность показа протокола
* оптимизирован запуск приложения
* исправлен модуль pulse audio (поддержка 24-х бит)
* исправлено опустошение буфера в модуле alsa
* исправлен шрифт по умолчанию
* исправлена поддержка gnome
* исправлено определение языка интерфейса
* исправлено множество других ошибок
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён русский перевод
* обновлён немецкий перевод (Panagiotis Papadopoulos)
* обновлён польский перевод (Grzegorz Gibas)

Версия 0.2.4
* исправлено чтение xspf (благодарности: Sebastian Pipping)
* исправлена загрузка списков воспроизведения
* исправлена ошибка в диалоге добавления url
* исправления в oss
* добавлена поддержка musepack sv8
* исправлен шум в начале некоторых mp3-файлов
* перезапись предустановок эквалайзера с одинаковыми именами

Версия 0.2.2
* исправлен украинский перевод (Геннадий Моцьо)
* исправлен русский перевод
* добавлен польский перевод (Grzegorz Gibas)
* исправлена сборка с qmake
* исправлены предупреждения компилятора
* исправления в jack
* исправлена кодировка UDS данных
* удалён неиспользуемый код
* исправлено чтение обложек

Version 0.2.3
* исправлена сборка "out-of-source" (благодарности: Funda Wang)
* добавлена возможность параллельной сборки (Funda Wang)
* добавлена поддержка последних библиотек ffmpeg
* исправлен русский перевод
* добавлен французский перевод (Stanislas Zeller)
* исправлен аудио-порт в модуле jack (Adrian Knoth)
* исправлена утечка памяти
* исправлена загрузка списков из командной строки и с помощью drag and drop
* исправлено падение при выходе с включённой визуализацией
* исправлено чтение файлов списков
* исправлено мерцание основной визуализации
* исправлены предупреждения gcc-4.3
* исправлена сборка modplug
* добавлена горячая клавиша "ввод" в диалог перехода
* исправлена ошибка сегментации в модуле PulseAudio
* добавлена поддержка OSS4 (Юрий Журавлёв)
* исправлена ошибка уведомлений
* исправлена ошибка в диалоге настроек
* удалена дублирующаяся опция "--next" из командной строки (Adrian Knoth)

Версия 0.2.1
* исправлен desktop-файл (благодарности Евгению Любимкину)
* исправлена сборка (благодарности Евгению Любимкину)
* исправлены ошибки в файловом диалоге
* исправлены отступы
* обновлён чешский перевод (Karel Volny)
* щелчок средней кнопкой мыши по системному значку работает теперь как команда "воспроизвести/приостановить"
* устранена утечка памяти
* исправлено чтение обложек
* увеличена скорость файлового диалога
* улучшена точность вычисления длительности mp3-файлов
* добавлена возможность увеличения громкости в модуле modplug

Версия 0.2.0
* добавлен url диалог (Владимир Кузнецов)
* добавлена поддержка поточного вещания
* добавлен интерфейс для файлового диалога (Владимир Кузнецов)
* добавлен модуль вывода OSS (Юрий Журавлёв)
* улучшен список воспроизведения (Владимир Кузнецов)
* поддержка модулей визуализации
* добавлен модуль визуализации - анализатор спектра
* добавлена поддержка минимального режима
* добавлен модуль sndfile
* добавлена программная регулировка громкости
* переписан интерфейс командой строки с использованием UDS (Владимир Кузнецов)
* добавлена поддержка модулей для расширения командной строки (Владимир Кузнецов)
* добавлен модуль для управления громкостью (Владимир Кузнецов)
* добавлена поддержка APE-тегов в модуле mpeg
* добавлена поддержка модулей общего назначения
* добавлен модуль scrobbler
* добавлен модуль d-bus
* добавлен модуль поддержки системного лотка
* добавлен модуль уведомлений
* улучшено чтение обложек
* добавлен модуль WavPack
* добавлена поддержка уведомлений в psi
* добавлен модуль вывода Pulse Audio
* добавлена сортировка по номеру трека
* добавлена поддержка mp3 wave
* добавлен модуль modplug
* добавлены новые иконки (Андрей Андреев)
* добавлена новая обложка (Андрей Андреев)
* добавлена поддержка модулей эффектов
* добавлен модуль передискретизации
* оптимизирован вывод alsa
* добавлена поддержка 24-х бит
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён русский перевод
* обновлён китайский традиционный перевод (lon)
* обновлён китайский упрощённый перевод (lon)
* обновлён немецкий перевод (Stefan Koelling)
* обновлён чешский перевод (Karel Volný)

Версия 0.1.6
* исправлен desktop-файл
* исправлен русский перевод
* добавлена путь "$PREFIX/share/qmmp/skins" для поиска тем
* исправлено чтение обложек
* исправлено возможное нарушение GPL
* поддержка обложек в формате tar.bz2
* использование кодировки ISO-8859-1 по умолчанию  для id3v1 тегов
* исправлена загрузка списков воспроизведения с двойными расширениями
* добавлен немецкий перевод (Stefan Koelling)
* улучшен диалог настроек
* добавлен перевод стандартных диалогов Qt
* вывод дополнительной отладочной информации

Версия 0.1.5
* обновлён чешский перевод (Karel Volný)
* добавлен бразильский португальский перевод (Klaos Lacerda и Bruno Gonçalves)
* исправлена утечка памяти
* исправлена сборка с Qt-4.2
* исправлены права доступа файлов
* более быстрая перемотка при использовании модуля alsa
* изменён цвет фона списка воспроизведения
* устранено возможное зависание

Версия 0.1.4
* переписан интерфейс командной строки (Владимир Кузнецов)
* добавлена поддержка упакованных обложек
* поддержка xdg меню (благодарности Геннадию Моцьо и Karel Volný)
* добавлена возможность изменять путь к библиотеке
* добавлено сохранение текущей композиции
* удалён стартовый скрипт из установки
* добавлен чешский перевод (Karel Volný)
* добавлен китайский традиционный перевод (lon)
* обновлён китайский упрощённый перевод (lon)
* обновлён турецкий перевод (Mustafa GUNAY)
* исправлен русский перевод
* обновлены пиктограммы
* исправлены скрипты cmake (Юрий Журавлёв)
* уменьшено число wakeups
* исправлено "замерзание" интерфейса при пропуске нерабочих файлов
* исправлено чтение обложек
* исправлена ошибка сегментации при попытке показать диалог с неправильным путём
* исправлено сохранение кодировки в модуле mpeg
* исправлено несколько ошибок в модуле ffmpeg
* добавлены исправления для Qt 4.3
* исправлено отключение метаинформации
* исправлено зависание при поиске

Версия 0.1.3.1
* исправлен путь установки библиотеки при использовании qmake

Версия 0.1.3
* добавлен китайский упрощённый перевод (lon)
* добавлен украинский перевод (Геннадий Моцьо)
* исправлена кодировка командной строки (Владимир Кузнецов)
* исправлен выбор следующей песни после удаления выбранной (Владимир Кузнецов)
* исправлены ошибки нулевой длительности в модулях mpc, flac, vorbis
* исправлены некоторые некритичные ошибки в модуле Ogg Vorbis
* добавлена горячая клавиша Shift+N для всех окон
* выставлено использование UTF-8 по умолчанию в модуле mad
* исправлен русский перевод в модуле flac
* добавлена навигация по текущей композиции с помощью клавиш курсора (Владимир Кузнецов)
* добавлен вызов меню на главном окне (Владимир Кузнецов)
* добавлено меню для левой кнопки заголовка (Владимир Кузнецов)
* добавлена возможность изменять директорию для библиотек (только для qmake)

Версия 0.1.2
* исправлена "ошибка сегментации" в режиме оставшегося времени (Владимир Кузнецов)
* исправлена "ошибка сегментации" в момент продолжения воспроизведения при пустом списке
* исправлено сохранение настроек в режиме системного значка
* добавлены горячие клавиши для списка воспроизведения (Вверх, Вниз, Alt- и
  Shift- модификаторы) (Владимир Кузнецов)
* добавлен пропуск повреждённых файлов (Владимир Кузнецов)
* добавлен турецкий перевод (Mustafa GUNAY)
* добавлена возможность изменять реакцию на закрытие (Владимир Кузнецов)
* исправлены и улучшены скрипты cmake
* исправлена горячая клавиша "Delete" в Русском переводе

Версия 0.1.1
* исправлена сборка модуля ffmpeg
* исправлены типы файлов списка воспроизведения (Владимир Кузнецов)
* исправлена ошибка нулевой длительности в модуле mad
* исправлена кодировка в диалоге "О программе"
* исправлена ошибка в скриптах сборки cmake, которая вызывает конфликт в
  ресурсах перевода

Версия 0.1
* добавлен диалог "перейти к файлу" (Владимир Кузнецов)
* добавлен диалог "о программе" (Владимир Кузнецов)
* добавлен русский перевод
* добавлена поддержка установки
* добавлена поддержка cmake (экспериментальная)
* добавлена обложка по умолчанию
* улучшен диалог настроек
* исправлена ошибка "accertion failed"
* исправлены горячие клавиши в меню управления списками
* добавлен файл readme на английском языке (Владимир Кузнецов)
* исправлен показ битовой частоты выше чем 999 кб/с
* добавлен импорт файлов Winamp EQF
* добавлен показ оставшегося времени (Владимир Кузнецов)
* исправлено мигание индикатора времени (Владимир Кузнецов)
* исправлена ошибка сегментации с некоторыми обложками (Владимир Кузнецов)
* исправлено чтение некоторых обложек

Версия 0.0.6
* улучшено выделение (Владимир Кузнецов)
* добавлена поддержка командной строки (Владимир Кузнецов)
* добавлена загрузка списка воспроизведения потоком (Владимир Кузнецов)
* добавлена поддержка предустановок эквалайзера
* добавлен модуль поддержки ffmpeg для воспроизведения WMA-файлов
* исправлена ошибка в модуле mad, которая вызывает аварийное завершение программы при
  неправильном пути файла
* исправлена ошибка в модуле Jack, которая вызывает аварийное завершение программы, когда
  сервер Jack не запущен (Юрий Журавлёв)
* добавлена поддержка pkgconfig для сборки

Версия 0.0.5
* добавлены индикаторы в окно списка воспроизведения (Владимир Кузнецов)
* добавлены кнопки управления в окно списка воспроизведения (Владимир Кузнецов)
* улучшены функции повтора и случайного воспроизведения (Владимир Кузнецов)
* добавлена поддержка m3u-, pls-, xspf- форматов списка воспроизведения (Владимир Кузнецов)
* добавлена поддержка файла region.txt
* добавлена регулировка эквалайзера с помощью колеса мыши
* добавлено авто-сохранение настроек эквалайзера
* добавлен модуль поддержки Jack (Юрий Журавлёв)
* добавлен модуль поддержки Musepack
* исправлено аварийное завершение программы на некоторых обложках
* исправлена ошибка в управлении балансом
* исправлена ошибка в модуле alsa, которая приводит к аварийному завершению программы на
  некоторых звуковых картах (благодарности Вадиму Калинникову)
* исправлена ошибка обработки двойного щелчка по списку воспроизведения

Версия 0.0.4
* добавлена поддержка выделения по shift (Владимир Кузнецов)
* добавлено перемещение выделенных фрагментов (Владимир Кузнецов)
* добавлена поддержка очереди (Владимир Кузнецов)
* добавлено меню сортировки (Владимир Кузнецов)
* добавлены функции повтора и случайного воспроизведения (Владимир Кузнецов)
* улучшен ползунок прокрутки списка воспроизведения
* добавлена регулировка громкости и баланса
* исправлены некоторые ошибки в модуле MAD
* различные улучшения в модульной системе

Версия 0.0.3
* добавлена поддержка системного лотка (базируется на изменениях Павла Кирпичева)
* добавлена поддержка меню и горячих клавиш
* добавлена директория $HOME/.qmmp/skins для поиска обложек
* исправлена ошибка UTF в модуле FLAC (предыдущее изменение не исправляет ошибку)
* исправлена ошибка UTF в модуле Ogg Vorbis (предыдущее изменение не исправляет ошибку)
* исправлена ошибка в списке воспроизведения, которая может привести к аварийному завершению
  программы
* добавлена поддержка drag&drop (благодарности Владимиру Кузнецову)

Версия 0.0.2
* исправлена ошибка в модуле FLAC
* исправлен fft.c: заменён вызов g_malloc() на malloc()
* исправлена ошибка UTF в модуле FLAC
* исправлена ошибка UTF в модуле Ogg Vorbis

Версия 0.0.1
* первый тестовый релиз
